Get Adapter Instance

Get Adapter Instance
Look up a single adapter instance using an identifier

Returns a specific adapter instance identified by the specified UUID.

Request
URI
GET
https://{api_host}/suite-api/api/adapters/{adapterId}
COPY
Path Parameters
string
adapterId
Required

The identifier of the adapter instance in UUID format.


Authentication
This operation uses the following authentication methods.
Responses
200

The Adapter Instance for the specified UUID

Returns adapter-instance of type(s) application/json
"{\n  \"resourceKey\" : {\n    \"name\" : \"VC Adapter for 10.20.88.111\",\n    \"adapterKindKey\" : \"VMWARE\",\n    \"resourceKindKey\" : \"Adapter\",\n    \"resourceIdentifiers\" : [ ]\n  },\n  \"description\" : \"A vCenter Adapter Instance\",\n  \"collectorId\" : 1,\n  \"credentialInstanceId\" : \"6f455a29-3330-47b6-9128-a608bca9d2c7\",\n  \"id\" : \"725cbdae-812e-4e98-9972-53c58f51661b\"\n}"
array of object
adapter-certificates
Optional

The set of untrusted certificates returned by the adapter source

string As uuid As uuid
collectorGroupId
Optional

The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you

integer As int32 As int32
collectorId
Optional

The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.

string As uuid As uuid
credentialInstanceId
Optional

The Credential Instance identifier used by this adapter instance

string
description
Optional

Optional description of the Adapter instance

string As uuid As uuid
id
Optional

The UUID of the adapter instance

integer As int64 As int64
lastCollected
Optional

Last time adapter instance reported collection of resources/stats.

integer As int64 As int64
lastHeartbeat
Optional

Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
messageFromAdapterInstance
Optional

Any message from the adapter instance.

integer As int32 As int32
monitoringInterval
Optional
Constraints: minimum: 0

Minutes part of the monitoring Interval of the Adapter Instance.

integer As int32 As int32
monitoringIntervalSeconds
Optional
Constraints: minimum: 0

Seconds part of the monitoring Interval of the Adapter Instance

integer As int32 As int32
numberOfMetricsCollected
Optional

The number of metrics reported by this adapter instance.

integer As int32 As int32
numberOfResourcesCollected
Optional

The number of resources being monitored by this resource.

string As uuid As uuid
physicalDatacenterId
Optional

The Physical Datacenter ID to be used for this Adapter Instance.It is Optional

object
resourceKey
Required

Represents a composite key for uniquely identifying a Resource.


404

No adapter instance is found with the specified identifier.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/adapters/{adapterId}